/*
 * Copyright (c) 2014 Macrofocus GmbH. All Rights Reserved.
 */
package com.macrofocus.molap.aggregates.aggregation;

import com.macrofocus.molap.aggregates.cube.Group;
import com.macrofocus.molap.aggregates.cuboid.Cuboid;

public interface Aggregation {
    public Aggregation as(String name);

    public String getName();

    public Class getType();

    public Object compute(Cuboid cuboid, Group group);

    Aggregation dividedBy(Aggregation aggregation);

    Aggregation stdDevBy(Aggregation aggregation);
}
