/*
 * Copyright (c) 2014 Macrofocus GmbH. All Rights Reserved.
 */
package com.macrofocus.molap.dataframe.swing;

import javax.swing.*;
import java.awt.*;

public class ColumnRenderer extends DefaultListCellRenderer {
    @Override
    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
        Object column = value;
        if (column != null) {
            return super.getListCellRendererComponent(list, column.toString(), index, isSelected, cellHasFocus);
        } else {
            return super.getListCellRendererComponent(list, "---", index, isSelected, cellHasFocus);
        }
    }
}
