/*
 * Copyright (c) 2014 Macrofocus GmbH. All Rights Reserved.
 */
package com.macrofocus.molap.dataframe.swing;

import javax.swing.*;
import java.awt.*;

public class VariableComboBox extends JComboBox {
    public VariableComboBox(ComboBoxModel model) {
        super(model);
    }

    public VariableComboBox() {
    }

    @Override
    public void updateUI() {
        super.updateUI();
        setRenderer(new ColumnRenderer());
    }

    @Override
    public Dimension getMinimumSize() {
        return new Dimension(0, super.getMinimumSize().height);
    }

    @Override
    public Dimension getPreferredSize() {
        return new Dimension(0, super.getPreferredSize().height);
    }
}
