/*
 * Copyright (c) 2014 Macrofocus GmbH. All Rights Reserved.
 */
package com.macrofocus.molap.table;

public interface Column {
    String getName();

    Class getType();

    int getRowCount();

    Row getRow(int row);

    Object getValueAt(int row);

    Column add(double value);

    Column add(Column column);

    Column subtract(double value);

    Column substract(Column column);

    Column multiply(double value);

    Column multiply(Column column);

    Column divide(double value);

    Column divide(Column column);

    Column pow(double value);

    Column pow(Column column);
}
